const CONSTANT = {
  RESET_LOADING: 'RESET_LOADING',

  REQUEST_ME: 'REQUEST_ME',
  REQUEST_ME_SUCCESS: 'REQUEST_ME_SUCCESS',
  REQUEST_ME_ERROR: 'REQUEST_ME_ERROR',

  CHECK_LOGIN: 'CHECK_LOGIN',
  CHECK_LOGIN_SUCCESS: 'CHECK_LOGIN_SUCCESS',
  CHECK_LOGIN_ERROR: 'CHECK_LOGIN_ERROR',

  CHECK_LOGOUT_ERROR: 'CHECK_LOGOUT_ERROR',
  CHECK_LOGOUT_ERROR_SUCCESS: 'CHECK_LOGOUT_ERROR_SUCCESS',
  CHECK_LOGOUT_ERROR_ERROR: 'CHECK_LOGOUT_ERROR_ERROR',

  REQUEST_LOGOUT: 'REQUEST_LOGOUT',
  REQUEST_LOGOUT_SUCCESS: 'REQUEST_LOGOUT_SUCCESS',
  REQUEST_LOGOUT_ERROR: 'REQUEST_LOGOUT_ERROR',

  REGISTER_USER: 'REGISTER_USER',
  REGISTER_USER_SUCCESS: 'REGISTER_USER_SUCCESS',
  REGISTER_USER_ERROR: 'REGISTER_USER_ERROR',

  FACEBOOK_SIGNON: 'FACEBOOK_SIGNON',
  FACEBOOK_SIGNON_SUCCESS: 'FACEBOOK_SIGNON_SUCCESS',
  FACEBOOK_SIGNON_ERROR: 'FACEBOOK_SIGNON_ERROR',

  GOOGLE_SIGNON: 'GOOGLE_SIGNON',
  GOOGLE_SIGNON_SUCCESS: 'GOOGLE_SIGNON_SUCCESS',
  GOOGLE_SIGNON_ERROR: 'GOOGLE_SIGNON_ERROR',

  RESET_PASSWORD_EMAIL: 'RESET_PASSWORD_EMAIL',
  RESET_PASSWORD_EMAIL_SUCCESS: 'RESET_PASSWORD_EMAIL_SUCCESS',
  RESET_PASSWORD_EMAIL_ERROR: 'RESET_PASSWORD_EMAIL_ERROR',
};

export default CONSTANT;
